## python3-otr 2.1trixie

=== requirements.txt ===
enum34
gmpy2
zope.interface
python3-application @ git+https://github.com/AGProjects/python3-application
cryptography

=== debian/changelog ===
python3-otr (2.1trixie) trixie; urgency=medium

  * Adjusted code for API changes in python-cryptography > 39
  * Updated copyright dates

 -- Tijmen de Mes <tijmen@ag-projects.com>  Fri, 20 Dec 2024 14:29:47 +0100

python3-otr (2.0.2trixie) trixie; urgency=medium

  * Updated copyright dates
  * Fixed Debian packaging
  * Fixed the tests

 -- Tijmen de Mes <tijmen@ag-projects.com>  Wed, 06 Dec 2023 11:03:05 +0100

python3-otr (2.0.1trixie) trixie; urgency=medium

  * Expect bytes for smp secret
  * Fixed asking verification question
  * Fixed setup.py

 -- Adrian Georgescu <ag@ag-projects.com>  Thu, 25 Feb 2021 12:10:58 +0100

python3-otr (2.0.0trixie) trixie; urgency=medium

  * Migrate to Python 3

 -- Adrian Georgescu <ag@ag-projects.com>  Thu, 25 Feb 2021 08:01:58 -0300

python-otr (1.2.2trixie) trixie; urgency=medium

  * Explicitly use python2 in shebang lines
  * Set the logging prefix for the test script
  * Updated license and copyright years
  * Updated minimum version for python-application dependency
  * Split debian dependencies one per line
  * Use pybuild as debian build system
  * Updated debian uploaders
  * Increased debian compatibility level to 11
  * Increased debian standards version to 4.5.0

 -- Dan Pascu <dan@ag-projects.com>  Fri, 14 Feb 2020 11:58:38 +0200

python-otr (1.2.1trixie) trixie; urgency=medium

  * Updated signing/verifying to use the new python-cryptography API
  * Updated minimum required version for python-cryptography
  * Increased debian compatibility level to 9
  * Increased debian standards version to 3.9.8
  * Removed obsolete pycompat/pyversions files

 -- Dan Pascu <dan@ag-projects.com>  Thu, 04 Oct 2018 20:30:33 +0300

python-otr (1.2.0trixie) trixie; urgency=medium

  * Fixed integrity check
  * Report when SMP is started by both parties at the same time
  * Protect against spurious SMP aborts generated by startup collisions
  * Notify that we cannot start SMP because another one is in progress

 -- Dan Pascu <dan@ag-projects.com>  Mon, 07 Mar 2016 22:40:47 +0200

python-otr (1.1.3trixie) trixie; urgency=medium

  * Allow sending query messages until receiving the first AKE message

 -- Dan Pascu <dan@ag-projects.com>  Tue, 23 Feb 2016 18:20:11 +0200

python-otr (1.1.2trixie) trixie; urgency=medium

  * Fixed bug that allowed messages to be sent in the Finished state

 -- Dan Pascu <dan@ag-projects.com>  Wed, 03 Feb 2016 11:54:19 +0200

python-otr (1.1.1trixie) trixie; urgency=medium

  * Only accept the DH commit message if it has a version we support

 -- Dan Pascu <dan@ag-projects.com>  Mon, 25 Jan 2016 22:41:43 +0200

python-otr (1.1.0trixie) trixie; urgency=medium

  * Reset OTRProtocol public attributes when encryption ends
  * Don't allow restarting the protocol to prevent man-in-the-middle attacks
  * Made OTRSession properties thread-safe
  * Added OTRSession.id property
  * Allow specifying the supported protocol versions with OTRSession
  * Do not allow unsolicited DHCommit messages to restart the AKE

 -- Dan Pascu <dan@ag-projects.com>  Mon, 25 Jan 2016 10:46:52 +0200

python-otr (1.0.0trixie) trixie; urgency=medium

  * Initial release

 -- Dan Pascu <dan@ag-projects.com>  Fri, 08 Jan 2016 08:16:15 +0200

=== debian/control ===
Source: python3-otr
Section: python
Priority: optional
Maintainer: Adrian Georgescu <ag@ag-projects.com>
Build-Depends: debhelper (>= 11), dh-python, python3, python3-gmpy2
Uploaders: Tijmen de Mes <tijmen@ag-projects.com>
Standards-Version: 4.5.0
Homepage: https://ag-projects.com

Package: python3-otr
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
         python3-application (>= 3.0.0),
         python3-cryptography (>= 1.6),
         python3-gmpy2,
         python3-zope.interface
Description: Off-The-Record Messaging (OTR) protocol implementation for python
 This package implements the Off-The-Record Messaging protocol in pure python.
 .
 Off-The-Record Messaging (OTR) is a cryptographic protocol that provides
 encryption for instant messaging conversations. OTR uses a combination of
 AES symmetric-key algorithm with 128 bits key length, the Diffie–Hellman
 key exchange with 1536 bits group size, and the SHA-1/SHA-256 hash functions.
 .
 The OTR protocol provides:
 .
 1. End-to-end encryption: No one else can read your messages.
 2. Authentication: The correspondent's identity can be verified.
 3. Deniability: The messages you send do not have digital signatures that can
    be checked by a third party. Anyone can forge messages after a conversation
    to make them look like they came from you, however during the conversation
    your correspondent is assured that the messages he sees coming from you are
    authentic and unmodified.
 4. Perfect forward secrecy: If you lose control of your private keys, you are
    assured that no previous conversation is compromised.
 .
 This package implements the version 2 and 3 of the OTR protocol.
